<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <include
            android:id="@+id/title"
            layout="@layout/title_white_bar" />

        <com.androidkun.xtablayout.XTabLayout
            android:id="@+id/xTablayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_42"
            android:background="@color/white"
            app:xTabDisplayNum="4"
            app:xTabIndicatorColor="@color/col_02c"
            app:xTabIndicatorHeight="@dimen/dp_3"
            app:xTabIndicatorRoundY="@dimen/dp_3"
            app:xTabIndicatorWidth="@dimen/dp_20"
            app:xTabMode="scrollable"
            app:xTabSelectedTextColor="@color/col_02c"
            app:xTabSelectedTextSize="@dimen/sp_16"
            app:xTabTextColor="@color/col_c7c"
            app:xTabTextSelectedBold="true"
            app:xTabTextSize="@dimen/sp_14" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/mChildView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/col_f1f"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/mTvNotifyMsg"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:padding="@dimen/dp_10"
                    android:textColor="@color/col_c64"
                    android:textSize="@dimen/sp_14" />

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/clUserMessageTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dp_10"
                    android:background="@drawable/shape_round_white"
                    android:paddingBottom="@dimen/dp_25">

                    <TextView
                        android:id="@+id/mTv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_22"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="@string/user_info"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <TextView
                        android:id="@+id/mTvTime"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:drawableEnd="@mipmap/ic_down_show"
                        android:drawablePadding="@dimen/dp_3"
                        android:paddingEnd="@dimen/dp_15"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_13"
                        app:layout_constraintBottom_toBottomOf="@+id/mTv"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/mTv"
                        tools:ignore="RtlSymmetry,UseCompatTextViewDrawableXml"
                        tools:text="02-28 11:00 至 03-01 11:00" />

                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/mImage"
                        android:layout_width="@dimen/dp_54"
                        android:layout_height="@dimen/dp_54"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_24"
                        android:src="@mipmap/ic_default_man"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/mTv" />

                    <TextView
                        android:id="@+id/mName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_12"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toRightOf="@+id/mImage"
                        app:layout_constraintTop_toTopOf="@+id/mImage"
                        tools:text="XXX" />

                    <ImageView
                        android:id="@+id/ic_male"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_10"
                        app:layout_constraintBottom_toBottomOf="@+id/mName"
                        app:layout_constraintLeft_toRightOf="@+id/mName"
                        app:layout_constraintTop_toTopOf="@+id/mName"
                        tools:src="@mipmap/ic_female_1" />

                    <TextView
                        android:id="@+id/mAge"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/col_C7C"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/mImage"
                        app:layout_constraintLeft_toLeftOf="@+id/mName"
                        tools:text="年龄:28岁" />

                    <TextView
                        android:id="@+id/mHeight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/col_C7C"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/mAge"
                        app:layout_constraintLeft_toRightOf="@+id/mAge"
                        app:layout_constraintRight_toLeftOf="@+id/mWeight"
                        tools:text="身高:179cm" />

                    <TextView
                        android:id="@+id/mWeight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_15"
                        android:textColor="@color/col_C7C"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/mAge"
                        app:layout_constraintRight_toRightOf="parent"
                        tools:text="体重：29kg" />

                    <LinearLayout
                        android:id="@+id/ll_c"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_17"
                        android:layout_marginEnd="@dimen/dp_15"
                        android:orientation="horizontal"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/mWeight">

                        <TextView
                            android:id="@+id/mTvb"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="既往病史："
                            android:textColor="@color/col_C7C"
                            android:textSize="@dimen/sp_13" />

                        <TextView
                            android:id="@+id/mTvDis"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="无"
                            android:textColor="@color/col_313"
                            android:textSize="@dimen/sp_13" />

                    </LinearLayout>

                    <TextView
                        android:id="@+id/mTvc"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_17"
                        android:text="健康状态："
                        android:textColor="@color/col_C7C"
                        android:textSize="@dimen/sp_13"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/ll_c" />

                    <TextView
                        android:id="@+id/mTvc_value"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/sp_18"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toBottomOf="@+id/mTvc"
                        app:layout_constraintLeft_toRightOf="@+id/mTvc"
                        app:layout_constraintTop_toTopOf="@+id/mTvc"
                        tools:text="@string/health" />

                    <TextView
                        android:id="@+id/mTvStatus"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_10"
                        android:drawableStart="@mipmap/ic_data_none"
                        android:drawablePadding="@dimen/dp_4"
                        android:gravity="center_horizontal"
                        android:text="@string/tip_1"
                        android:textColor="@color/col_7c7"
                        android:textSize="@dimen/sp_12"
                        app:layout_constraintBottom_toBottomOf="@+id/mTvc_value"
                        app:layout_constraintLeft_toRightOf="@+id/mTvc_value"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <com.xty.common.weight.CircleDayShow
                        android:id="@+id/mAll"
                        android:layout_width="0dp"
                        android:layout_height="@dimen/dp_80"
                        android:layout_marginTop="@dimen/dp_31"
                        app:arc_col="@color/col_9BD"
                        app:center_txt_size="@dimen/sp_15"
                        app:circle_col="@color/col_25C"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toLeftOf="@+id/mActive"
                        app:layout_constraintTop_toBottomOf="@+id/mTvStatus"
                        app:stroke_width="5dp" />

                    <com.xty.common.weight.CircleDayShow
                        android:id="@+id/mActive"
                        android:layout_width="0dp"
                        android:layout_height="@dimen/dp_80"
                        android:layout_marginTop="@dimen/dp_31"
                        app:arc_col="@color/col_9BDd"
                        app:center_txt_size="@dimen/sp_15"
                        app:circle_col="@color/col_25C"
                        app:layout_constraintLeft_toRightOf="@+id/mAll"
                        app:layout_constraintRight_toLeftOf="@+id/mOther"
                        app:layout_constraintTop_toBottomOf="@+id/mTvStatus"
                        app:stroke_width="5dp" />

                    <com.xty.common.weight.CircleDayShow
                        android:id="@+id/mOther"
                        android:layout_width="0dp"
                        android:layout_height="@dimen/dp_80"
                        android:layout_marginTop="@dimen/dp_31"
                        app:arc_col="@color/col_9BD"
                        app:center_txt_size="@dimen/sp_15"
                        app:circle_col="@color/col_25C"
                        app:layout_constraintLeft_toRightOf="@+id/mActive"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/mTvStatus"
                        app:stroke_width="5dp" />

                    <TextView
                        android:id="@+id/m1"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_13"
                        android:gravity="center"
                        android:text="总服务天数"
                        android:textColor="@color/col_7c7"
                        android:textSize="@dimen/sp_13"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toLeftOf="@+id/m2"
                        app:layout_constraintTop_toBottomOf="@+id/mAll" />

                    <TextView
                        android:id="@+id/m2"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_13"
                        android:gravity="center"
                        android:text="活跃佩戴天数"
                        android:textColor="@color/col_7c7"
                        android:textSize="@dimen/sp_13"
                        app:layout_constraintLeft_toRightOf="@+id/m1"
                        app:layout_constraintRight_toLeftOf="@+id/m3"
                        app:layout_constraintTop_toBottomOf="@+id/mAll" />

                    <TextView
                        android:id="@+id/m3"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_13"
                        android:gravity="center"
                        android:text="休眠天数"
                        android:textColor="@color/col_7c7"
                        android:textSize="@dimen/sp_13"
                        app:layout_constraintLeft_toRightOf="@+id/m2"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/mAll" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/clApparatusTitle"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/shape_round_white"
                    android:paddingBottom="@dimen/dp_27">

                    <TextView
                        android:id="@+id/mTvOrgan"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_22"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="@string/organ_fun"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <LinearLayout
                        android:id="@+id/llHint"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_28"
                        android:gravity="center"
                        android:orientation="horizontal"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/mTvOrgan">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_16"
                            android:drawableStart="@drawable/shape_dot_9bd"
                            android:drawablePadding="@dimen/dp_5"
                            android:text="健康"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_11"
                            tools:ignore="UseCompatTextViewDrawableXml" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_16"
                            android:drawableStart="@drawable/shape_dot_04f"
                            android:drawablePadding="@dimen/dp_5"
                            android:text="亚健康"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_11"
                            tools:ignore="UseCompatTextViewDrawableXml" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_16"
                            android:drawableStart="@drawable/shape_dot_disease"
                            android:drawablePadding="@dimen/dp_5"
                            android:text="疾病"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_11"
                            tools:ignore="UseCompatTextViewDrawableXml" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_16"
                            android:drawableStart="@drawable/shape_dot_7b8"
                            android:drawablePadding="@dimen/dp_5"
                            android:text="数据不足"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_11"
                            tools:ignore="UseCompatTextViewDrawableXml" />

                    </LinearLayout>

                    <include
                        android:id= "@+id/cl_body"
                         layout="@layout/layout_health_body"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/llHint"/>

                    <ImageView
                        android:id="@+id/mBody"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_20"
                        android:visibility="gone"
                        android:src="@mipmap/ic_male_body_health"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/llHint" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:orientation="vertical"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@+id/mBody"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toLeftOf="@+id/mBody"
                        app:layout_constraintTop_toTopOf="@+id/mBody">

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mHeart"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:status_txt="健康"
                            app:viscera="@string/heart" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mSmall"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:status_txt="健康"
                            app:viscera="@string/small_intestine" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mBladder"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:status_txt="健康"
                            app:viscera="@string/bladder" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mKidney"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:status_txt="健康"
                            app:viscera="@string/kidney" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mPericardium"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:status_txt="健康"
                            app:viscera="@string/pericardium" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mLymph"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:status_txt="健康"
                            app:viscera="@string/lymph" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        android:orientation="vertical"
                        android:visibility="gone"
                        app:layout_constraintBottom_toBottomOf="@+id/mBody"
                        app:layout_constraintLeft_toRightOf="@+id/mBody"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="@+id/mBody">

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mSpleen"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:is_right="true"
                            app:status_txt="健康"
                            app:viscera="@string/spleen" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mStomach"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:is_right="true"
                            app:status_txt="健康"
                            app:viscera="@string/stomach" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mLarge"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:is_right="true"
                            app:status_txt="健康"
                            app:viscera="@string/large_intestine" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mLung"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:is_right="true"
                            app:status_txt="健康"
                            app:viscera="@string/lung" />

                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mLiver"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"

                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:is_right="true"
                            app:status_txt="健康"
                            app:viscera="@string/liver" />


                        <com.xty.common.weight.VisceraView
                            android:id="@+id/mGallbladder"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:image="@mipmap/ic_test"
                            app:is_right="true"
                            app:status_txt="健康"
                            app:viscera="@string/gallbladder" />
                    </LinearLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/mRecycleSleep"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:overScrollMode="never" />

                <LinearLayout
                    android:id="@+id/llDataAnalyseTitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:background="@drawable/shape_round_white"
                    android:orientation="vertical"
                    android:paddingBottom="@dimen/dp_10">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_16"
                        android:layout_marginTop="@dimen/dp_22"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:text="分析依据"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/mRecycleInfo"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="@dimen/dp_10"
                        android:overScrollMode="never" />

                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/mRecycle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:overScrollMode="never" />

                <com.ruffian.library.widget.RConstraintLayout
                    android:id="@+id/clStatistics"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    app:background_normal="@color/white"
                    app:corner_radius="@dimen/dp_10">

                    <TextView
                        android:id="@+id/tvCicleTitle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:paddingStart="@dimen/dp_16"
                        android:paddingTop="@dimen/dp_22"
                        android:text="统计分析"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="RtlSymmetry,UseCompatTextViewDrawableXml" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/mRecycleCount"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="@dimen/dp_25"
                        android:overScrollMode="never"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintTop_toBottomOf="@id/tvCicleTitle" />

                </com.ruffian.library.widget.RConstraintLayout>

                <LinearLayout
                    android:id="@+id/mLinAllInfo"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@drawable/shape_round_white"
                    android:orientation="vertical"
                    android:padding="@dimen/dp_10"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/mBody">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_marginTop="@dimen/dp_12"
                        android:drawableStart="@drawable/shape_head_tip_new"
                        android:drawablePadding="@dimen/dp_10"
                        android:gravity="center"
                        android:text="综合分析"
                        android:textColor="@color/col_313"
                        android:textSize="@dimen/sp_17"
                        android:textStyle="bold"
                        tools:ignore="UseCompatTextViewDrawableXml" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_marginTop="@dimen/dp_10"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="健康状态："
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_13"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/state"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawablePadding="@dimen/dp_5"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_18"
                            android:textStyle="bold"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:text="健康评星" />

                        <TextView
                            android:id="@+id/tips_icon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_10"
                            android:drawableStart="@mipmap/ic_info_icon"
                            android:drawablePadding="@dimen/dp_5"
                            android:text="提示"
                            android:textColor="@color/col_c7c"
                            android:textSize="@dimen/sp_12"
                            app:layout_constraintRight_toRightOf="parent"
                            app:layout_constraintTop_toTopOf="parent"
                            tools:ignore="UseCompatTextViewDrawableXml" />

                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerViewGridding"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_marginEnd="@dimen/dp_6"/>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerViewList"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_marginEnd="@dimen/dp_6"/>

                    <!--<LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_6"
                        android:layout_marginTop="@dimen/dp_10"
                        android:layout_marginEnd="@dimen/dp_6"
                        android:layout_marginBottom="@dimen/dp_10"
                        android:orientation="horizontal">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/analysis_tv1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                            <TextView
                                android:id="@+id/analysis_tv3"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                            <TextView
                                android:id="@+id/analysis_tv5"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                            <TextView
                                android:id="@+id/analysis_tv7"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                            <TextView
                                android:id="@+id/analysis_tv9"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:visibility="gone"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/analysis_tv2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均血氧: 98%" />

                            <TextView
                                android:id="@+id/analysis_tv4"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                            <TextView
                                android:id="@+id/analysis_tv6"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                            <TextView
                                android:id="@+id/analysis_tv8"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp_12"
                                android:textColor="@color/col_c7c"
                                android:textSize="@dimen/sp_14"
                                tools:text="平均心率: 92次/分" />

                        </LinearLayout>

                    </LinearLayout>-->

                </LinearLayout>

                <View
                    android:id="@+id/vDemoShow"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_80"/>

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_b"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal"
        android:visibility="gone">

        <TextView
            android:id="@+id/mTvTip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_10"
            android:text="温馨提示：健康数据报告来源请"
            android:textColor="@color/col_e03"
            android:textSize="@dimen/dp_16" />

        <TextView
            android:id="@+id/mTvTip1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="点击查看>>"
            android:textColor="@color/col_02c"
            android:textSize="@dimen/dp_16" />

    </LinearLayout>

    <TextView
        android:id="@+id/tvGuid"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="@dimen/dp_25"
        android:layout_marginEnd="@dimen/dp_25"
        android:layout_marginBottom="@dimen/dp_25"
        android:background="@drawable/shape_btn_select_bg"
        android:gravity="center"
        android:textStyle="bold"
        android:text="@string/health_jy"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18"
        app:layout_constraintBottom_toBottomOf="parent" />

</RelativeLayout>